spring:
  application:
    name: voteadmin
  jpa:
    database: postgresql
    show-sql: true
  flyway:
    user: ${DB_USERNAME}
    password: ${DB_PASSWORD}
    schemas: voteadmin
    url: ${DB_URL}
    enabled: true
  datasource:
    url: ${DB_URL}
    username: ${DB_USERNAME}
    password: ${DB_PASSWORD}
    hikari:
      maximum-pool-size: 1
  
  jackson:
    default-property-inclusion: NON_NULL

  kafka:
    producer:
      group-id: voteadmin

topic:
  name:
    producer: topico.meeting

auto:
  create:
    topics:
      enable: true

feign:
  client:
    config:
      default:
        connectTimeout: 7000
        readTimeout: 7000
        loggerLevel: basic